Bug 153384

Summary: Use Symbol.species in the builtin TypedArray.prototype functions
Product: WebKit Reporter: Keith Miller <keith_miller>
Component: New BugsAssignee: Keith Miller <keith_miller>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, mark.lam, msaboff, sbarati
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Archive of layout-test-results from ews114 for mac-yosemite
none
Patch
none
Patch none

Description Keith Miller 2016-01-22 17:23:43 PST
Use Symbol.species in the builtin TypedArray.prototype functions
Comment 1 Keith Miller 2016-01-22 17:36:33 PST
Created attachment 269626 [details]
Patch
Comment 2 Keith Miller 2016-01-25 15:54:50 PST
I think this patch is actually not quite right since the constructors are not supposed to be called.
Comment 3 Geoffrey Garen 2016-02-04 10:53:47 PST
Comment on attachment 269626 [details]
Patch

r- based on Keith's last comment.
Comment 4 Keith Miller 2016-02-19 12:05:16 PST
Created attachment 271772 [details]
Patch
Comment 5 Keith Miller 2016-02-19 12:08:32 PST
Created attachment 271773 [details]
Patch
Comment 6 Keith Miller 2016-02-19 12:10:01 PST
I have updated this patch with the correct version of the ES6 spec.
Comment 7 Build Bot 2016-02-19 12:50:56 PST
Comment on attachment 271773 [details]
Patch

Attachment 271773 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/855659

Number of test failures exceeded the failure limit.
Comment 8 Build Bot 2016-02-19 12:50:58 PST
Created attachment 271787 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 9 Keith Miller 2016-02-19 13:20:32 PST
Created attachment 271793 [details]
Patch
Comment 10 Keith Miller 2016-02-22 11:07:12 PST
Created attachment 271929 [details]
Patch
Comment 11 Geoffrey Garen 2016-02-22 11:33:20 PST
Comment on attachment 271929 [details]
Patch

r=me
Comment 12 WebKit Commit Bot 2016-02-22 12:07:47 PST
Comment on attachment 271929 [details]
Patch

Clearing flags on attachment: 271929

Committed r196950: <http://trac.webkit.org/changeset/196950>
Comment 13 WebKit Commit Bot 2016-02-22 12:07:51 PST
All reviewed patches have been landed.  Closing bug.